Name:           canl-c
Version:        2.1.5
Release:        2%{?dist}
Summary:        EMI Common Authentication library - bindings for C

License:        ASL 2.0
URL:            http://www.eu-emi.eu
Source:         http://scientific.zcu.cz/emi/emi.canl.c/%{name}-%{version}.tar.gz
# https://github.com/CESNET/canl-c/commit/c10dd9f46b8ee46db9b1a2e4bb3db8f0aae951e8
Patch0:         no-decl.patch

BuildRequires:  bison
BuildRequires:  c-ares-devel
BuildRequires:  flex
BuildRequires:  krb5-devel
BuildRequires:  libtool
BuildRequires:  openssl-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
%if 0%{?fedora} || 0%{?rhel} >= 6
BuildRequires:  tex(latex)
%else
BuildRequires:  tetex-latex
%endif
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(ptmr7t.tfm)
BuildRequires:  tex(phvr8t.tfm)
BuildRequires:  tex(psyr.tfm)
BuildRequires:  tex(pzcmi8r.tfm)
BuildRequires:  tex(ucrr8a.pfb)
%endif

%description
This is the C part of the EMI caNl -- the Common Authentication Library.


%package        devel
Summary:        Development files for EMI caNl
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       krb5-devel%{?_isa}

%description    devel
This package contains development libraries and header files for EMI caNl.


%package        doc
Summary:        API documentation for EMI caNl
%if 0%{?fedora} || 0%{?rhel} >= 6
BuildArch:      noarch
%endif

%description    doc
This package contains API documentation for EMI caNl.


%package        examples
Summary:        Example programs of EMI caNl
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    examples
This package contains client and server examples of EMI caNl.


%prep
%setup -q
%patch0 -p1


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# in -doc subpackage
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/README
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/canl.pdf
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE README
%{_libdir}/libcanl_c.so.2
%{_libdir}/libcanl_c.so.2.*

%files devel
%{_includedir}/*.h
%{_libdir}/libcanl_c.so

%files doc
%doc LICENSE canl.pdf

%files examples
%{_bindir}/*


%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 27 2014 František Dvořák <valtri@civ.zcu.cz> - 2.1.5-1
- New upstream version
- Consistent style with buildroot macro
- Patch to build with gcc 4.9.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 František Dvořák <valtri@civ.zcu.cz> - 2.1.4-1
- New upstream version
- Remove patch merged in upstream

* Wed Jan 29 2014 František Dvořák <valtri@civ.zcu.cz> - 2.1.3-2
- Patch to remove comment.sty LaTeX package (not available on RHEL7)

* Thu Jan 16 2014 František Dvořák <valtri@civ.zcu.cz> - 2.1.3-1
- New upstream version
- Removed arch-specific BuildRequires
- EPEL 7 support
- Enabled parallel build
- Removed %%check target
- Replaced find command by wildcards

* Thu Aug 08 2013 František Dvořák <valtri@civ.zcu.cz> - 2.1.2-1
- New upstream version
- Proper perl usage
- Added README file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 František Dvořák <valtri@civ.zcu.cz> - 2.1.1-1
- New upstream version

* Thu Jan 31 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- New upstream version
- Move API documentation to subpackage (devel subpackage multilib now)

* Tue Jan 22 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.3-1
- Initial package
